The Display & Video 360 API is rolling out Demand Gen resource support to all partners starting June 10, 2026. See our blog post for more details on how to get ready!
Deletes an insertion order. Returns error code NOT_FOUND if the insertion order does not exist. The insertion order should be archived first, i.e. set entityStatus to ENTITY_STATUS_ARCHIVED, to be able to delete it.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2025-10-08 UTC."],[],["To delete an insertion order, send a `DELETE` HTTP request to the specified URL, including the `advertiserId` and `insertionOrderId` as path parameters. The insertion order must be archived beforehand by setting its `entityStatus` to `ENTITY_STATUS_ARCHIVED`. The request body should be empty. A successful deletion returns an empty JSON object. The required authorization scope is `https://www.googleapis.com/auth/display-video`. A `NOT_FOUND` error is returned if the insertion order is not found.\n"]]